Subject: bug#12989: 24.3.50; buffer-file-type is not buffer-local

From: Michael Albinus <[email-masked]>
Date: Sat, 09 Feb 2013 17:08:05 +0100

Eli Zaretskii <[email-masked]> writes:

> There are still references to find-buffer-file-type (which no longer
> exists as of the above revision) in tramp-sh.el.  The code there is
> commented as being for XEmacs only, and I don't really understand what
> is it trying to accomplish.  Michael, could you please take a look?
> Ideally, we should delete all that stuff, unless it breaks XEmacs.

`tramp-sh-handle-insert-file-contents-literally', which calls
`find-buffer-file-type', is used only for XEmaxs. Emacs does not call a
file name handler for `insert-file-contents-literally'.

So I would like to let it as it is; I don't know whether it would break
XEmacs when we remove that code. I run XEmacs extremely rarely.

Best regards, Michael.